﻿--add a new column
IF NOT EXISTS (SELECT 1 FROM sys.columns WHERE object_id=object_id('[FNS_Content]') and NAME='DatenStartUtc')
BEGIN
	ALTER TABLE [FNS_Content]
	ADD [DatenStartUtc] datetime NULL
END
IF NOT EXISTS (SELECT 1 FROM sys.columns WHERE object_id=object_id('[FNS_Content]') and NAME='DatenEndUtc')
BEGIN
	ALTER TABLE [FNS_Content]
	ADD [DatenEndUtc] datetime NULL
END
GO
--add a new column
IF NOT EXISTS (SELECT 1 FROM sys.columns WHERE object_id=object_id('[FNS_Content]') and NAME='OnlyForHomePage')
BEGIN
	ALTER TABLE [FNS_Content] ADD [OnlyForHomePage] bit NOT NULL CONSTRAINT DF_FNS_Content_OnlyForHomePage DEFAULT 0
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.columns WHERE object_id=object_id('[FNS_ContentSlug]'))
BEGIN
	CREATE TABLE [dbo].[FNS_ContentSlug](
		[Id] [int] IDENTITY(1,1) NOT NULL,
		[ContentId] [int] NOT NULL,
		[Slug] [nvarchar](400) NOT NULL,
		[DisplayOrder] [int] NOT NULL,
	PRIMARY KEY CLUSTERED 
	(
		[Id] ASC
	)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	) ON [PRIMARY]


	ALTER TABLE [dbo].[FNS_ContentSlug]  WITH CHECK ADD  CONSTRAINT [ContentSlug_Content] FOREIGN KEY([ContentId])
	REFERENCES [dbo].[FNS_Content] ([Id])
	ON DELETE CASCADE

	ALTER TABLE [dbo].[FNS_ContentSlug] CHECK CONSTRAINT [ContentSlug_Content]
END
GO

--add a new column
IF NOT EXISTS (SELECT 1 FROM sys.columns WHERE object_id=object_id('[FNS_ContentCategory]') and NAME='ForSubCategory')
BEGIN
	ALTER TABLE [FNS_ContentCategory] ADD [ForSubCategory] bit NOT NULL CONSTRAINT DF_FNS_ContentCategory_ForSubCategory DEFAULT 0
END
GO
--remove columns
IF EXISTS (SELECT 1 FROM sys.columns WHERE object_id=object_id('[FNS_Content]') and NAME='MetaKeywords')
BEGIN
	ALTER TABLE [FNS_Content] DROP COLUMN MetaKeywords
END
GO
IF EXISTS (SELECT 1 FROM sys.columns WHERE object_id=object_id('[FNS_Content]') and NAME='MetaDescription')
BEGIN
	ALTER TABLE [FNS_Content] DROP COLUMN MetaDescription
END
GO
IF EXISTS (SELECT 1 FROM sys.columns WHERE object_id=object_id('[FNS_Content]') and NAME='MetaTitle')
BEGIN
	ALTER TABLE [FNS_Content] DROP COLUMN MetaTitle
END
GO
--add a new column
IF NOT EXISTS (SELECT 1 FROM sys.columns WHERE object_id=object_id('[FNS_Content]') and NAME='SubjectToAcl')
BEGIN
	ALTER TABLE [FNS_Content] ADD [SubjectToAcl] bit NOT NULL CONSTRAINT DF_FNS_Content_SubjectToAcl DEFAULT 0
END
GO
IF EXISTS (SELECT 1 FROM sys.columns WHERE object_id=object_id('[FNS_Content]') and NAME='Deleted')
BEGIN
	ALTER TABLE [FNS_Content] DROP COLUMN Deleted
END
GO
IF NOT EXISTS (SELECT 1 FROM sys.columns WHERE object_id=object_id('[FNS_Content]') and NAME='DisplayOrder')
BEGIN
	ALTER TABLE [FNS_Content] ADD [DisplayOrder] int NOT NULL CONSTRAINT DF_FNS_Content_DisplayOrder DEFAULT 0
END
GO
IF EXISTS (SELECT 1 FROM sys.columns WHERE object_id=object_id('[FNS_ContentProduct]') and NAME='DisplayOrder')
BEGIN
	ALTER TABLE [FNS_ContentProduct] DROP COLUMN DisplayOrder
END
GO
IF EXISTS (SELECT 1 FROM sys.columns WHERE object_id=object_id('[FNS_ContentCategory]') and NAME='DisplayOrder')
BEGIN
	ALTER TABLE [FNS_ContentCategory] DROP COLUMN DisplayOrder
END
GO
IF EXISTS (SELECT 1 FROM sys.columns WHERE object_id=object_id('[FNS_ContentManufacturer]') and NAME='DisplayOrder')
BEGIN
	ALTER TABLE [FNS_ContentManufacturer] DROP COLUMN DisplayOrder
END
GO
IF EXISTS (SELECT 1 FROM sys.columns WHERE object_id=object_id('[FNS_ContentSlug]') and NAME='DisplayOrder')
BEGIN
	ALTER TABLE [FNS_ContentSlug] DROP COLUMN DisplayOrder
END
GO


if not exists(select * from MigrationVersionInfo where [Description] = 'FoxNetSoft.ContentManager base schema')
	and EXISTS (SELECT 1 FROM sys.columns WHERE object_id=object_id('[FNS_Content]'))
begin
	insert into MigrationVersionInfo (Version,AppliedOn,Description)
	values (637295636036451431, GETDATE(), 'FoxNetSoft.ContentManager base schema')
end
GO